Bug 17346 - Enable the check in option in Columns settings
Summary: Enable the check in option in Columns settings
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Christopher Brannon
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 15441 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-09-25 12:49 UTC by Tobias Reimann
Modified: 2017-05-03 04:08 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17346: Make checkin column hidable (950 bytes, patch)
2017-03-10 19:56 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 17346: Make checkin column hidable (1.43 KB, patch)
2017-03-11 18:53 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17346: Make checkin column hidable (1.50 KB, patch)
2017-03-21 11:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Reimann 2016-09-25 12:49:15 UTC
Enable the option to disable the check-in column under Columns settings.
This option is under the index tab : circulation and patrons.

This option should be enabled, because the check-in is not necessary at this places, so if a library want to hide it, they should get the possibility.
Comment 1 Jonathan Druart 2016-11-17 09:53:45 UTC
Tobias,
This can be easily achieve by removing the 2 flags cannot_be_toggled and cannot_be_modified in the admin/columns_settings.yml
Are you able to provide such a patch?
Comment 2 Christopher Brannon 2017-03-10 19:56:40 UTC
Created attachment 61003 [details] [review]
Bug 17346: Make checkin column hidable
Comment 3 Christopher Brannon 2017-03-10 20:00:24 UTC
Hope you don't mind.  I took the liberty to write the patch.

To test:
1) Go to columns_settings.pl --> Circulation --> issues-table and note that you cannot change the settings for checkin.
2) Go to columns_settings.pl --> Patrons --> issues-table and note that you cannot change the settings for checkin.
3) Apply the patch.
4) Go to both tables again and note that you can now change the settings.
Comment 4 Marc Véron 2017-03-11 18:53:25 UTC
Created attachment 61012 [details] [review]
Bug 17346: Make checkin column hidable

To test:
1) Go to columns_settings.pl --> Circulation --> issues-table and note that you cannot change the settings for checkin.
2) Go to columns_settings.pl --> Patrons --> issues-table and note that you cannot change the settings for checkin.
3) Apply the patch.
4) Go to both tables again and note that you can now change the settings.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Jonathan Druart 2017-03-13 14:19:47 UTC
I finally remember why the action columns were not modifiable.
There is something wrong happening if you select checkin hidden by default and can be toggled.
When you show it, the tr element "Today's checkouts" does not display correctly. 

Not sure how to fix that cleanly...
Comment 6 Christopher Brannon 2017-03-13 14:49:39 UTC
(In reply to Jonathan Druart from comment #5)
> I finally remember why the action columns were not modifiable.
> There is something wrong happening if you select checkin hidden by default
> and can be toggled.
> When you show it, the tr element "Today's checkouts" does not display
> correctly. 
> 
> Not sure how to fix that cleanly...

I will look into it, but if I can't find a resolution, at least we can still lock the option to toggle it.  That would be a reasonable compromise.
Comment 7 Christopher Brannon 2017-03-13 17:31:02 UTC
Please QA again.  It appears this is a pre-existing condition, and will happen with any column that is hidden by default and then toggled on.

I will open a new ticket for this condition.

Christopher
Comment 8 Jonathan Druart 2017-03-21 11:48:20 UTC
Created attachment 61372 [details] [review]
Bug 17346: Make checkin column hidable

To test:
1) Go to columns_settings.pl --> Circulation --> issues-table and note that you cannot change the settings for checkin.
2) Go to columns_settings.pl --> Patrons --> issues-table and note that you cannot change the settings for checkin.
3) Apply the patch.
4) Go to both tables again and note that you can now change the settings.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Kyle M Hall 2017-03-31 14:04:53 UTC
Pushed to master for 17.05, thanks Christopher!
Comment 10 Katrin Fischer 2017-04-02 17:28:47 UTC
Holding back on this because of comment#5 for the stable release.
Please link the new bug with this one once opened.
Comment 11 Jonathan Druart 2017-04-03 12:54:03 UTC
(In reply to Katrin Fischer from comment #10)
> Holding back on this because of comment#5 for the stable release.
> Please link the new bug with this one once opened.

Comment 5 was wrong and the behavior I described is not added by this patch.
New bug is linked already, it's bug 18257.
Comment 12 Jonathan Druart 2017-04-03 14:06:47 UTC
*** Bug 15441 has been marked as a duplicate of this bug. ***
Comment 13 Katrin Fischer 2017-04-10 21:35:43 UTC
Tiny change - I have decided to push this to 16.11.x.

This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 14 Mason James 2017-05-03 04:08:23 UTC
Pushed to 16.05.x, for 16.05.12 release